Class | Nokogiri::XML::RelaxNG
In: | lib/nokogiri/xml/relax_ng.rb ext/nokogiri/xml_sax_push_parser.c
Parent: | Nokogiri::XML::Schema

In case someone passes us a node. ugh.

### Methods

from_document read_memory validate_document

### Public Class methods

from_document(doc)

Create a new RelaxNG schema from the Nokogiri::XML::Document `doc`

read_memory(string)

Create a new RelaxNG from the contents of `string`

### Public Instance methods

validate_document(document)

Validate a Nokogiri::XML::Document against this RelaxNG schema.

[Validate]